Snow Inventory Agents and Oracle Scanner

Snow Inventory 5 and 6 Agents for Windows

Component

Requirements

Operating system

(Embedded and IoT Core versions not supported)

For Snow Inventory 5 and 6 Agent for Windows, Snow supports Windows versions and editions that have not reached end of mainstream support nor retirement. See the Microsoft Lifecycle Product End of Support overview page for details.

Note

Microsoft Visual C++ Redistributable is required to be installed on Windows for Snow Inventory 5 and 6 Agents for Windows. This is, by default, installed with Windows.

Processor architecture

  • x86-64 (also known as x64, x86_64, AMD64 and Intel 64)

  • x86 (also known as IA-32, and i386)

Note

Itanium-based systems are not supported.

PowerShell scripting support

PowerShell 3 to PowerShell 5.1

Virtual Desktop Infrastructure

Supported technologies (protocols):

  • Citrix Virtual Desktops (RDP)

  • Citrix VDI-in-a-Box (RDP)

  • Microsoft Virtual Desktop Infrastructure (RDP)

  • VMware Horizon View (RDP, PCoIP)

Virtual application technologies

The agent supports scanning virtual applications packaged using the following technologies:

  • Citrix Virtual Apps

  • Microsoft App-V

  • VMware ThinApp

Cloud Application Discovery and Metering

Snow supports the following browsers for Snow Inventory Agent 6 for Windows, for any version that the manufacturer supports:

  • Google Chrome

  • Microsoft Edge

  • Mozilla Firefox

  • Microsoft Edge Legacy

  • Microsoft Internet Explorer 11

Snow supports the following browsers for Snow Inventory Agent 5 for Windows, for any version that the manufacturer supports:

  • Google Chrome

Web application metering

To measure usage of a web application using the feature Web application metering, the client running the agent must connect directly to the web application server. That is, the connection must not be mediated by a proxy server.

Snow Inventory 5 and 6 Agents for Unix

Component

Requirements

Operating system

  • IBM AIX

  • Solaris

  • HP-UX

Note

Snow only supports installations of Snow Inventory Agent for Unix on operating-system versions that are supported by their vendors.

Installed software

The Snow Inventory Agent for Unix is a Java-based application and therefore requires to be executed in a Java Runtime Environment (JRE).

Java 6, 7, and 8 are supported

The following implementations of Java 6, 7, and 8 are supported:

  • Oracle Java

  • OpenJDK

  • IBM Java on AIX

  • HP-UX Java.

Note

Java Runtime Environment 1.7.0_7 must not be used due to a bug in the Java implementation.

Java 6 is not recommended and should not be used due to low performance. It is recommended to use Java 7 or Java 8.

Snow Inventory Agent for Unix 7

Component

Requirements

Operating system

  • IBM AIX

  • Solaris

  • HP-UX

Note

Snow only supports installations of Snow Inventory Agent for Unix on operating-system versions that are supported by their vendors.

Installed software

The Snow Inventory Agent for Unix is a Java-based application and therefore requires to be executed in a Java Runtime Environment (JRE).

Java 8 and later are supported

The following implementations of Java are supported:

  • Oracle Java

  • OpenJDK

  • IBM Java on AIX

  • HP-UX Java.

Snow Inventory 5 and 6 Agents for macOS

Component

Requirements

OS Version

For Snow Inventory Agent 5 and 6 for macOS, Snow supports macOS versions that have not reached end of support with Apple.

Processor architecture

Supported processor architecture for Snow Inventory 6 Agent for macOS:

  • x86-64 (also known as x64, x86_64, AMD64 and Intel 64)

  • ARM-based Apple M1 chip

Supported processor architecture for Snow Inventory 5 Agent for macOS:

  • x86 (also known as IA-32, and i386)

  • x86-64 (also known as x64, x86_64, AMD64 and Intel 64)

Cloud Application Discovery and Metering

Snow supports the following browsers for Snow Inventory Agent 6 for macOS, for any version that the manufacturer supports:

  • Google Chrome

  • Microsoft Edge

  • Mozilla Firefox

  • Apple Safari

Snow supports the following browsers for Snow Inventory Agent 5 for macOS, for any version that the manufacturer supports:

  • Google Chrome

Snow Inventory 5 and 6 Agents for Linux

Component

Requirements

Operating system

The Snow Inventory Agent for Linux is tested on the latest versions of the following distributions, as they are available at the Agent release date:

  • CentOS

  • RedHat Enterprise Linux

  • Debian

  • Oracle Linux

  • SUSE

  • Ubuntu

The agent also runs on other distributions if those fulfill the following requirements:

  • Snow Inventory 6 Agent for Linux - Linux distributions that support GLIBC 2.12 (or compatible version)

  • Snow Inventory 5 Agent for Linux - Linux distributions that support GLIBC 2.3.4 (or compatible version).

The following libraries are used by the agent and required for it to work:

  • libgcc_s 3.4.6 (or compatible version)

  • libdl

  • librt

  • libm

  • libpthread

  • ld-linux

Note

These libraries are installed by default in most Linux distributions. In addition to being installed, they also need to be available to the agent. That is, the system should not be configured to hide these specific libraries.

Some Linux distributions might implement some of the commands used by Snow Inventory Agent for Linux in a customized way. This can lead to scan results that are limited.

Processor architecture

x86-64 (also known as x64, x86_64, AMD64 and Intel 64)

x86 (also known as IA-32, and i386)

Snow Inventory Oracle Scanner 5, 6, and 7

Component

Requirements

Oracle DB version

One of the following:

  • Oracle Database 8, 8i, 9i, 10g, 11g, 12c, 18c, 19c

Oracle DB edition

One of the following:

  • Trusted Oracle Database 8 Enterprise Edition

  • Oracle Database Enterprise Edition

  • Oracle Database Express Edition

  • Oracle Database Standard Edition One

  • Oracle Database Standard Edition Two

  • Oracle Database Standard Edition

  • Oracle Database Personal Edition

  • Oracle Database Lite Mobile Server

  • Oracle Database Lite

Installed software

Snow Inventory Agent for Oracle Scanner is run as a module to Snow Inventory Agent for Windows, Snow Inventory Agent for Unix, or Snow Inventory Agent for Linux. Note that Snow Inventory Agent for macOS does not support Snow Inventory Oracle Scanner.

The Snow Inventory Oracle Scanner is a Java-based application and therefore requires to be executed in a Java Runtime Environment (JRE).

The following implementations of Java 6, 7, and 8 are supported:

  • Oracle Java

  • OpenJDK

  • IBM Java on AIX

  • HP-UX Java.

Note

Java Runtime Environment 1.7.0_7 must not be used due to a bug in the Java implementation.

Snow Inventory Oracle Scanner 8

Component

Requirements

Oracle DB version

One of the following:

  • Oracle Database 8, 8i, 9i, 10g, 11g, 12c, 18c, 19c

Oracle DB edition

One of the following:

  • Trusted Oracle Database 8 Enterprise Edition

  • Oracle Database Enterprise Edition

  • Oracle Database Express Edition

  • Oracle Database Standard Edition One

  • Oracle Database Standard Edition Two

  • Oracle Database Standard Edition

  • Oracle Database Personal Edition

  • Oracle Database Lite Mobile Server

  • Oracle Database Lite

Installed software

Snow Inventory Agent for Oracle Scanner is run as a module to Snow Inventory Agent for Windows, Snow Inventory Agent for Unix, or Snow Inventory Agent for Linux. Note that Snow Inventory Agent for macOS does not support Snow Inventory Oracle Scanner.

The Snow Inventory Oracle Scanner is a Java-based application and therefore requires to be executed in a Java Runtime Environment (JRE).

The following implementations of Java 8, 11, and 17 are supported:

  • Oracle Java

  • OpenJDK

  • IBM Java on AIX

  • HP-UX Java.